%define	name	freelords
%define	version	0.3.2
%define	release	2mdk
%define	Summary	A Linux clone of the old dos game W*arLords.

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Strategy
Source:		%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/freelords/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsigc++1.2-devel >= 1.2.0 paragui-devel >= 1.0.4 SDL_image-devel >= 1.2.0
BuildRequires:	ImageMagick
Obsoletes:	freelords-cvs-sdl
Provides:	freelords-cvs-sdl

%description
FreeLords is a turn-based strategy game similar to W*rl*rds. 
It can be played with friends on one computer or via a network.

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert dat/various/sword.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{name}.png
convert dat/various/sword.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert dat/various/sword.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{name}.png

cat > %{buildroot}%{_menudir}/%{name} << EOF
?package(%{name}):\
	command="%{_gamesbindir}/%{name}" \
	icon="%{name}.png" \
	title="FreeLords" \
	longtitle="%{Summary}" \
	needs="x11" \
	section="Amusement/Strategy"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot} 

%files  
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog DEPENDENCIES HACKER NEWS README TODO
%doc doc/*
%config(noreplace) %{_sysconfdir}/freelordsrc
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name} 
%{_menudir}/%{name} 
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Tue Mar 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-2mdk
- buildrequires

* Thu Feb 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.2-1mdk
- 0.3.2
- cleanup

* Fri Jan 02 2004 Charles A Edwards <eslrahc@mandrake.org>  0.3.1-1mdk
- 0.3.1
- make sure extra doc is added

* Thu Oct 16 2003 Charles A Edwards <eslrahc@bellsouth.net>  0.3.0-1mdk
- first Mdk pkg (this obsoletes the cvs release)





